For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Get supportSee a Demo
HomeAPI ReferenceSDKs
HomeAPI ReferenceSDKs
    • SDKs
    • WebView
  • API Reference
      • POSTCreate Users
      • PUTUpdate User
      • DELDelete User
      • GETGet User By ID
Get supportSee a Demo
API ReferenceUsers

Delete User

DELETE
/v2/issuers/:organizationId/users/:userId
DELETE
/v2/issuers/:organizationId/users/:userId
$curl -X DELETE https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123 \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "type": "user",
4 "attributes": {},
5 "id": "1234567890"
6 }
7}

Call this endpoint to delete a specified enrolled user from the rewards program and Kard’s system. Users can be re-enrolled into rewards by calling the Create User endpoint using the same id from before.

Required scopes: user:delete

Was this page helpful?
Previous

Get User By ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
Your issuer organization ID, provided by Kard
userIdstringRequired
The ID of the user as defined on the issuers system

Response

This endpoint returns an object.
dataobject

Errors

400
Invalid Request
401
Unauthorized Error
404
Does Not Exist Error
500
Internal Server Error